package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.RutaIcmsExcepcionDAO;
import com.rjconsultores.ventaboletos.entidad.RutaIcmsExcepcion;
import com.rjconsultores.ventaboletos.service.RutaIcmsExcepcionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("rutaIcmsExcepcionService")
public class RutaIcmsExcepcionServiceImpl implements RutaIcmsExcepcionService {
	
	@Autowired
	private RutaIcmsExcepcionDAO rutaIcmsExcepcionDAO;
	
	@Override
	public List<RutaIcmsExcepcion> obtenerTodos() {
		return rutaIcmsExcepcionDAO.obtenerTodos();
	}

	@Override
	public RutaIcmsExcepcion obtenerID(Integer id) {
		return rutaIcmsExcepcionDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public RutaIcmsExcepcion suscribir(RutaIcmsExcepcion entidad) {
		entidad.setActivo(Boolean.TRUE);
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		return rutaIcmsExcepcionDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public RutaIcmsExcepcion actualizacion(RutaIcmsExcepcion entidad) {
		entidad.setActivo(Boolean.TRUE);
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		return rutaIcmsExcepcionDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(RutaIcmsExcepcion entidad) {
		entidad.setActivo(Boolean.FALSE);
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		rutaIcmsExcepcionDAO.actualizacion(entidad);
	}

}
